* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  --pink: #ff1f5a;
  --red: #b20431;
  --red-pink: #66011c;
  --green: #004209;
  --transparent: transparent;
}
body,
html {
  @font-face {
    font-family: "Source Sans Pro", sans-serif;
    line-height: 1.5;
  }
}
html {
  scroll-behavior: smooth;
}

body a {
  text-decoration: none;
}
body a:hover {
  text-decoration: none;
}
body address {
  font-style: italic;
}
body address span {
  font-weight: bold;
  font-style: italic;
}

/*page loading*/

.preloading__container {
  position: fixed;
  z-index: 1100;
  width: 100%;
  height: 100%;
  background: #66011c;
  top: 0;
  left: 0;
}
#preload .preloading__detail {
  position: absolute;
  top: 50%;
  left: 46%;
  transform: translate(-45%, -50%);
  border: 16px solid #ff1f5a; /*fix IE*/
  border: 16px solid var(--pink);
  border-radius: 50%;
  border-top: 16px solid white;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/*page loading*/
/*header*/
#header {
  height: 55px;
  position: fixed;
  z-index: 100;
  width: 100%;
  transition: all 0.5s;
}
.header-touris,
.header-gallery,
.header-special,
.header-festival {
  background-color: #66011c;
  background-color: var(--red-pink);
}

#header ul {
  display: flex;
  list-style: none;
  top: 0;
  right: 0;
  position: absolute;
  padding-right: 10px;
  transition: all 0.5s;
}
#header ul li {
  font-size: 18px;
  padding-right: 50px;
  color: white;
  position: relative;
}
#header ul li::after {
  content: "";
  width: 0;
  height: 0px;
  border: 2px solid transparent;
  border-image: linear-gradient(to right, #ff1f5a, transparent);
  border-image: linear-gradient(to right, var(--pink), transparent);
  border-image-slice: 2;
  position: absolute;
  bottom: -5px;
  left: 0;
  transition: all 0.5s;
  opacity: 0;
}
#header ul li a {
  text-decoration: none;
  color: white;
  transition: all 0.5s;
}
#header ul li:hover a {
  color: #ff1f5a;
}
#header ul li:hover::after {
  width: 80%;
  opacity: 1;
}
/*custom header background*/
.Mynavbar.headerClass {
  background-color: #66011c;
  background-color: var(--red-pink);
  height: 70px !important;
}
.Mynavbar.headerClass ul {
  padding-top: 15px;
}

/*end--custom header background*/
#header .nav__md ul {
  position: absolute;
  top: 100%;
  left: 0;
  background-color: #66011c;
  background-color: var(--red-pink);
  display: block;
  width: 100%;
  text-align: center;
  transition: all 0.5s;
}
/* #header .nav__xl .logo {
  display: none;
} */
#header .nav__md ul li {
  margin-bottom: 30px;
}
#header .nav__md .btn__collapse {
  border: 1px solid white;
  width: 45px;
  height: 45px;
  border-radius: 5px;
  position: absolute;
  top: 15%;
  right: 35px;
}
#header .nav__md .btn__collapse i {
  color: white;
  font-size: 40px;
  padding-left: 9px;
}

/*end header*/
/*start banner*/
#banner {
  background-image: url("../../img/banner.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top center;
  height: 950px;
  width: 100%;
  position: relative;
  box-shadow: 0px 0px 12px 8px gray;
}
#banner .banner__detail {
  position: absolute;
  top: 50%;
  left: 50%;
  color: white;
  transform: translate(-50%, -50%);
}
#banner .banner__detail h1 {
  font-size: 120px;
  font-style: italic;
  font-weight: bold;
  opacity: 0.6;
}
#banner .banner__detail h2 {
  font-size: 90px;
  font-style: italic;
  position: absolute;
  top: 50px;
  right: 5px;
}
#banner .banner__title {
  position: absolute;
  top: 20%;
  left: 10%;
  color: white;
}
#banner .banner__title h1 {
  font-size: 60px;
  font-style: italic;
  font-weight: bold;
  letter-spacing: 5px;
}
#banner .banner__title h1 .hightLight {
  color: whitesmoke;
  font-size: 100px;
}
#banner .extend {
  position: absolute;
  bottom: 50px;
  right: 50%;
  animation-name: upDown;
  animation-duration: 1.5s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

@keyframes upDown {
  0% {
    bottom: 100px;
    transform: scale(1.5);
  }
  100% {
    bottom: 50px;
    transform: scale(1);
  }
}
#banner .extend a {
  color: white;
}
#banner .extend i {
  font-size: 50px;
  text-align: center;
  line-height: 100px;
  animation-name: circle;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  transition: all 0.5s;
  padding-left: 20px;
  opacity: 0.8;
}
#banner .extend i:hover {
  opacity: 1;
}
#banner .extend h4 {
  font-size: 30px;
  color: white;
  font-style: italic;
}
/*end banner*/
/*start about*/

#about .touris_img {
  background-image: url("../../img/travel/travel-bg.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: top right;
  height: 400px;
  position: relative;
}

#about .touris_img .img_1 {
  position: absolute;
  left: 10%;
  bottom: 0;
  z-index: 1;
}
#about .touris_img .img_2 {
  position: absolute;
  right: 0;
  bottom: -10%;
  z-index: 2;
}
#about .touris_content {
  position: relative;
}

#about .touris_content .link {
  position: absolute;
  top: 60%;
  left: 50%;
  display: none;
  transition: all 0.5s;
}
#about .touris_content h3 {
  position: absolute;
  top: 50%;
  left: 10%;
  font-size: 30px;
  transition: all 0.5s;
  font-style: italic;
}
#about .touris_content .link:hover {
  transform: scale(2);
}
#about .touris_content:hover .link {
  display: block;
}
#about .touris_content:hover .link a {
  color: #004209;
  color: var(--green);
  font-style: italic;
}
#about .touris_content:hover h3 {
  filter: blur(10px);
}
/*festival*/
#about .festival .festival__img {
  background-image: url("../../img/festival/festival_bg.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top center;
  height: 600px;
  position: relative;
}
#about .festival .festival__img img {
  position: absolute;
}
#about .festival .festival__img .img__1 {
  width: 400px;
  top: 10%;
  right: 10%;
  box-shadow: 5px 10px 18px #888888;
}
#about .festival .festival__img .img__2 {
  width: 300px;
  bottom: 20%;
  right: 12%;
  z-index: 5;
  box-shadow: 5px 10px 18px #888888;
}
#about .festival .festival__content {
  position: relative;
}
#about .festival .festival__content h3 {
  position: absolute;
  font-size: 30px;
  transition: all 0.5s;
  font-style: italic;
  left: 0;
  top: 50%;
  transform: translate(0, -50%);
  color: #66011c;
  margin-left: 10px;
}

#about .festival .festival__content .link {
  position: absolute;
  top: 50%;
  left: 50%;
  display: none;
  transition: all 0.5s;
  color: #66011c;
  color: var(--red-pink);
}
#about .festival .festival__content .link a {
  color: #66011c;
  color: var(--red-pink);
  font-style: italic;
}
#about .festival .festival__content .link:hover {
  transform: scale(2);
}
#about .festival .festival__content:hover h3 {
  filter: blur(10px);
}
#about .festival .festival__content:hover .link {
  display: block;
}
/*festival*/
#about .special .special__img {
  background-image: url("../../img/special/special.png");
  background-repeat: no-repeat;
  background-position: top center;
  background-size: cover;
  height: 600px;
}
#about .special .special__content {
  position: relative;
}
#about .special .special__content h2 {
  position: absolute;
  top: 40%;
  left: 0;
  transition: all 0.5s;
  color: #ff1f5a;
  color: var(--pink);
  font-style: italic;
}
#about .special .special__content .link {
  position: absolute;
  top: 50%;
  left: 50%;
  transition: all 0.5s;
  display: none;
  font-size: 15px;
}
#about .special .special__content .link:hover {
  transform: scale(2);
}
#about .special .special__content .link a {
  color: #b20431;
  color: var(--red);
  font-style: italic;
}
#about .special .special__content:hover h2 {
  filter: blur(10px);
}
#about .special .special__content:hover .link {
  display: block;
}
/*end about*/
/*start footer*/
#footer {
  background-image: url("../../img/footer.jpg");
  background-size: cover;
  background-position: top top;
  width: 100%;
  height: 700px;
  position: relative;
}
#footer .footer__title {
  width: 70%;
  margin: auto;
  position: relative;
  height: auto;
}
#footer .footer__title h1 {
  font-size: 80px;
  font-style: italic;
  color: #66011c;
  color: var(--red-pink);
}
#footer .footer__title h2 {
  font-size: 60px;
  font-style: italic;
  position: absolute;
  right: 100px;
  bottom: -100px;
  color: #b20431;
  color: var(--red);
}
#footer .plane {
  display: inline-block;
  background-image: url("../../img/plane.png");
  background-size: cover;
  background-repeat: no-repeat;
  height: 120px;
  width: 200px;
}
#footer .footer__copyright {
  position: absolute;
  background-color: #66011c;
  background-color: var(--red-pink);
  width: 100%;
  /* height: 80px; */
  bottom: 0;
  left: 0;
  opacity: 0.9;
}
#footer .footer__copyright p {
  color: white;
  line-height: 80px;
  margin-left: 30px;
}

/*end footer*/
#scrollToTop {
  background-color: #b20431;
  background-color: var(--red);
  width: 50px;
  height: 50px;
  border-radius: 5px;
  position: fixed;
  bottom: 20px;
  right: 30px;
  opacity: 0.8;
  display: none;
}
#scrollToTop i {
  font-size: 30px;
  line-height: 50px;
  padding-left: 15px;
  color: white;
  cursor: pointer;
}
#scrollToTop:hover {
  background-color: #ff1f5a;
  background-color: var(--pink);
  opacity: 1;
}
/*share facebook*/
#share__link {
  position: fixed;
  right: 30px;
  top: 30%;
  width: 50px;
  height: 50px;
  border: 2px solid white;
  border-radius: 5px;
  cursor: pointer;
  background-color: #66011c;
  opacity: 0.8;
  z-index: 900;
}
#share__link:hover {
  background-color: #ff1f5a;
  background-color: var(--pink);
}
#share__link:hover .detail {
  opacity: 1;
}

#share__link .detail {
  opacity: 0;
}
#share__link .detail .share__detail i:hover {
  color: #66011c;
  color: var(--red);
}
#share__link i {
  font-size: 30px;
  color: white;
  line-height: 50px;
  padding-left: 10px;
  color: pink;
}
#share__link .detail {
  position: relative;
}
#share__link .share__facebook {
  padding-right: 0;
}

/*end share facebook*/
/*START--------------------GALLERY PAGE */
.header--page {
  background: none;
  background: #66011c;
  background: var(--red-pink);
}
#gallery {
  min-height: 900px;
}
#gallery img {
  width: 100%;
  height: 100%;
}
#gallery .content {
  padding: 100px 0;
}
#gallery .content .galllery__detail {
  margin-bottom: 25px;
}
/* end content */
/*END ---------------------GALLERY PAGE  */

/*START -------------------- TOURIS PAGE */
#touris {
  min-height: 900px;
}
#touris p {
  line-height: 25px;
}
#touris h1 {
  color: #66011c;
  color: var(--red-pink);
  letter-spacing: 1px;
  font-style: italic;
  font-size: 50px;
}
#touris h2 {
  color: #66011c;
  color: var(--red-pink);
  font-style: italic;
}
#touris .content {
  padding: 100px 0;
}
/*END -------------------- TOURISPAGE */
/*START---------------------GALLERY*/
#gallery h1 {
  color: #66011c;
  color: var(--red-pink);
  letter-spacing: 1px;
  font-style: italic;
  font-size: 50px;
}
#gallery .galllery__detail {
  overflow: hidden;
}
#gallery .galllery__detail:hover .cover {
  opacity: 1;
}
#gallery .galllery__detail img {
  z-index: 5;
}
#gallery .galllery__detail .cover {
  width: 150%;
  height: 150%;
  background-color: rgba(255, 255, 255, 0.596);
  z-index: 50;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: all 0.5s;
}
#gallery .galllery__detail .cover i {
  position: absolute;
  top: 27%;
  left: 30%;
  font-size: 70px;
  color: #66011c7e;
}

/*END---------------------GALLERY*/

/*START---------------------FESTIVAL PAGE*/
#festival {
  min-height: 900px;
}
#festival p {
  line-height: 25px;
}
#festival h1 {
  color: #66011c;
  color: var(--red-pink);
  letter-spacing: 1px;
  font-style: italic;
  font-size: 50px;
}
#festival h2 {
  color: #66011c;
  color: var(--red-pink);
  font-style: italic;
}
#festival h3 {
  color: #b20431;
  color: var(--red);
  font-style: italic;
}
#festival .content {
  padding: 100px 0;
}
/*END---------------------FESTIVAL PAGE*/

/*START---------------------FESTIVAL PAGE*/
#special {
  min-height: 900px;
}
#special p {
  line-height: 25px;
}
#special h1 {
  color: #66011c;
  color: var(--red-pink);
  letter-spacing: 1px;
  font-style: italic;
  font-size: 50px;
}
#special h2 {
  color: #66011c;
  color: var(--red-pink);
  font-style: italic;
}
#special .content {
  padding: 100px 0;
}
/*END---------------------FESTIVAL PAGE*/
